de.esprit.netsuite.server.auth

## Class DefaultGroupManager<S extends ServerContext>

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.appsuite.launch.AbstractApplicationObject<S>
    - - de.esprit.netsuite.server.AbstractServerObject<S>
      - - de.esprit.netsuite.server.AbstractInitializableServerObject<S>
        - - de.esprit.netsuite.server.auth.AbstractGroupManager<S>
          - - de.esprit.netsuite.server.auth.DefaultGroupManager<S>

- All Implemented Interfaces:
    ApplicationObject<S>, Initializable, SimpleLogSupport, Dumpable, GroupManager<S>, PermissionControlled, ServerObject<S>

      public class DefaultGroupManager<S extends ServerContext>
      extends AbstractGroupManager<S>

  This implementation stores groups in the srv_group.cfg config file as NDF records.
  Author:
    Rainer Buesch

- - ### Field Summary

    - ### Fields inherited from class de.esprit.netsuite.server.auth.AbstractGroupManager

      `permissionDef`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultGroupManager(S serverCtx)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Group` | `createGroupInstance(NdfProperties props)`
    `void` | `performDeleteGroup(SessionId callerSessId, Group group)`
    `Group` | `performInsertGroup(SessionId callerSessId, Group group, java.util.List<Group> groupList)`
    `void` | `performUpdateGroup(SessionId callerSessId, Group group)`
    `protected void` | `read(java.util.List<Group> groupList)`
    `void` | `write()`

    - ### Methods inherited from class de.esprit.netsuite.server.auth.AbstractGroupManager

      `deleteGroup, existsGroup, fetchGroupByName, findGroupByName, getGroupConfigFile, getGroupCount, getGroupList, getGroups, getPermissionDefinition, init, insertGroup, nextGroupId, updateGroup`

    - ### Methods inherited from class de.esprit.netsuite.server.AbstractInitializableServerObject

      `checkInitialized, isInitialized, setInitialized, toString`

    - ### Methods inherited from class de.esprit.netsuite.server.AbstractServerObject

      `checkPermission, getServerConfig, getServerContext, getStatisticManager`

    - ### Methods inherited from class de.esprit.appsuite.launch.AbstractApplicationObject

      `getApplicationContext, getLogChannel, isLogDebug, isLogVerbose, logDebug, logDump, logError, logError, logFatal, logInfo, logVerbose, logWarning, setLogChannel`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultGroupManager

          public DefaultGroupManager(S serverCtx)

  - ### Method Detail

    - #### read

          protected void read(java.util.List<Group> groupList)
                       throws java.lang.Exception

      Specified by:
        `read` in class `AbstractGroupManager<S extends ServerContext>`
      Throws:
        `java.lang.Exception`

    - #### write

          public void write()
                     throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### performDeleteGroup

          public void performDeleteGroup(SessionId callerSessId,
                                Group group)
                                  throws java.lang.Exception

      Specified by:
        `performDeleteGroup` in class `AbstractGroupManager<S extends ServerContext>`
      Throws:
        `java.lang.Exception`

    - #### performUpdateGroup

          public void performUpdateGroup(SessionId callerSessId,
                                Group group)
                                  throws java.lang.Exception

      Specified by:
        `performUpdateGroup` in class `AbstractGroupManager<S extends ServerContext>`
      Throws:
        `java.lang.Exception`

    - #### performInsertGroup

          public Group performInsertGroup(SessionId callerSessId,
                                 Group group,
                                 java.util.List<Group> groupList)
                                   throws java.lang.Exception

      Specified by:
        `performInsertGroup` in class `AbstractGroupManager<S extends ServerContext>`
      Throws:
        `java.lang.Exception`

    - #### createGroupInstance

          protected Group createGroupInstance(NdfProperties props)

Copyright © 2014 EsprIT-Systems. All Rights Reserved.